Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_TypedEventChannel_Attributes Class Reference

Defines the construction time attributes for the Typed Event Channel. More...

`#include <CEC_TypedEventChannel.h>`

List of all members.

## Public Methods
| TAO_CEC_TypedEventChannel_Attributes (PortableServer::POA_ptr typed_supplier_poa, PortableServer::POA_ptr typed_consumer_poa, CORBA::ORB_ptr orb, CORBA::Repository_ptr interface_repository)
## Public Attributes
int | consumer_reconnect
| Can consumers or suppliers invoke connect_push_* multiple times?
int | supplier_reconnect
int | disconnect_callbacks
int | destroy_on_shutdown
## Private Attributes
PortableServer::POA_ptr | typed_supplier_poa
| The POAs.
PortableServer::POA_ptr | typed_consumer_poa
CORBA::ORB_ptr | orb
| The ORB.
CORBA::Repository_ptr | interface_repository
| The Interface Repository.
## Friends
class | TAO_CEC_TypedEventChannel
| Only the EC can read the private fields.

## Detailed Description

Defines the construction time attributes for the Typed Event Channel.

The typed event channel implementation is controlled by two mechanisms: The CEC_Factory that provides the strategies for the EC implementation. The EC attributes that define constants and values required by the EC construction. This class encapsulates those constants and values, providing an easy mechanism to extend the attributes without requiring changes in the EC constructor.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_TypedEventChannel_Attributes::TAO_CEC_TypedEventChannel_Attributes | ( | PortableServer::POA_ptr | typed_supplier_poa,
|  | PortableServer::POA_ptr | typed_consumer_poa,
|  | CORBA::ORB_ptr | orb,
|  | CORBA::Repository_ptr | interface_repository
| ) |

| The basic constructor. The attributes listed as arguments are *required* by the EC, and no appropiate defaults are available for them.

## Friends And Related Function Documentation

friend class TAO_CEC_TypedEventChannel`[friend]`

| Only the EC can read the private fields.

## Member Data Documentation

int TAO_CEC_TypedEventChannel_Attributes::consumer_reconnect

| Can consumers or suppliers invoke connect_push_* multiple times?

int TAO_CEC_TypedEventChannel_Attributes::destroy_on_shutdown

| If not zero the event channel will deactive its Impl and call orb->shutdown(0), when destoy is invoked.

int TAO_CEC_TypedEventChannel_Attributes::disconnect_callbacks

| It not zero the event channel will send disconnect callbacks when a disconnect method is called on a Proxy. In other words, if a consumer calls disconnect_push_supplier() on its proxy the EC will invoke disconnect_push_consumer() on the consumer. A similar thing is done for suppliers. It is a matter of debate what the spec requires for the regular event service.

CORBA::Repository_ptr TAO_CEC_TypedEventChannel_Attributes::interface_repository`[private]`

| The Interface Repository.

CORBA::ORB_ptr TAO_CEC_TypedEventChannel_Attributes::orb`[private]`

| The ORB.

int TAO_CEC_TypedEventChannel_Attributes::supplier_reconnect

PortableServer::POA_ptr TAO_CEC_TypedEventChannel_Attributes::typed_consumer_poa`[private]`

PortableServer::POA_ptr TAO_CEC_TypedEventChannel_Attributes::typed_supplier_poa`[private]`

| The POAs.

The documentation for this class was generated from the following files:

- CEC_TypedEventChannel.h
- CEC_TypedEventChannel.i